
Foreman - Bug #2373

'freeip_subnets_path' error when creating a new hostgroup when unattended is disabled

04/04/2013 10:54 AM - Karim Boumedhel

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Web Interface   

Target version: 1.2.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

i get a "Oops, we're sorry but something went wrong" when creating a new hostgroup, right after install.

error is

"undefined local variable or method `freeip_subnets_path' for #<#<Class:0x7f4483185348>:0x7f448314eaa0> "

full trace follows:

NameError

undefined local variable or method `freeip_subnets_path' for #<#<Class:0x7f4483185348>:0x7f448314eaa0>

app/views/common/_domain.html.erb:4:in `_app_views_common__domain_html_erb__68939543_69966118070420'

app/views/common/_domain.html.erb:1:in `_app_views_common__domain_html_erb__68939543_69966118070420'

app/views/common/_domain_subnet.html.erb:7:in

`_app_views_common__domain_subnet_html_erb___1946657537_69966118476360'

app/views/common/_domain_subnet.html.erb:1:in

`_app_views_common__domain_subnet_html_erb___1946657537_69966118476360'

app/views/hostgroups/_form.html.erb:43:in `_app_views_hostgroups__form_html_erb___715861967_69966115975660'

app/helpers/layout_helper.rb:178:in `form_for'

app/views/hostgroups/_form.html.erb:2:in `_app_views_hostgroups__form_html_erb___715861967_69966115975660'

app/views/hostgroups/new.html.erb:3:in `_app_views_hostgroups_new_html_erb__39893790_69966115985760'

lib/foreman/thread_session.rb:31:in `clear_thread'

Related issues:

Has duplicate Foreman - Bug #2769: [Foreman 1.2] Unable to edit hostgroup wit... Duplicate 07/10/2013

Has duplicate Foreman - Bug #2848: Error when try to create new Host Group Duplicate 07/26/2013

Associated revisions

Revision 754e83c1 - 07/21/2013 07:09 AM - Dominic Cleal

fixes #2373 - only reference unattended subnet path when in unattended mode

Revision 62ed36c3 - 07/22/2013 12:47 PM - Dominic Cleal

fixes #2373 - only reference unattended subnet path when in unattended mode

(cherry picked from commit 754e83c1667ab7af677064f468354d325f59c36f)

History

#1 - 04/04/2013 10:57 AM - Karim Boumedhel

the log for this error

Started GET "/hostgroups" for 192.168.8.1 at Thu Apr 04 16:57:22 +0200 2013

Processing by HostgroupsController#index as HTML

Rendered hostgroups/welcome.html.erb within layouts/application (1.0ms)

Read fragment views/tabs_and_title_records-1 (0.4ms)

Rendered home/_topbar.html.erb (2.9ms)

Filter chain halted as :welcome rendered or redirected

Completed 200 OK in 16ms (Views: 9.7ms | ActiveRecord: 0.9ms)

Started GET "/hostgroups/new" for 192.168.8.1 at Thu Apr 04 16:57:24 +0200 2013

Processing by HostgroupsController#new as HTML

Rendered common/_domain.html.erb (187.6ms)
Rendered common/_domain_subnet.html.erb (194.6ms)

Rendered hostgroups/_form.html.erb (214.6ms)

Rendered hostgroups/new.html.erb within layouts/application (215.0ms)

Operation FAILED: undefined local variable or method `freeip_subnets_path' for #<#<Class:0x7f4483185348>:0x7f448317f3f8>

Rendered common/500.html.erb within layouts/application (361.1ms)

Rendered home/_topbar.html.erb (1.7ms)

Completed 500 Internal Server Error in 753ms (Views: 366.1ms | ActiveRecord: 3.4ms)

#2 - 04/04/2013 11:35 AM - Dominic Cleal

- Subject changed from error when creating a new host group  to 'freeip_subnets_path' error when creating a new hostgroup when unattended is

disabled

- Category changed from Dashboard to Web Interface

- Target version deleted (1.2.0)

#3 - 07/10/2013 06:25 AM - David Schmitt

I'm getting a similar error when editing hostgroups with 1.2:

 NameError

undefined local variable or method `freeip_subnets_path' for #<#<Class:0x007fb7286583d0>:0x007fb728652480>

app/views/common/_domain.html.erb:4:in `block in _app_views_common__domain_html_erb__4478866523255592300_70212

319545820'

app/views/common/_domain.html.erb:1:in `_app_views_common__domain_html_erb__4478866523255592300_70212319545820

'

app/views/common/_domain_subnet.html.erb:7:in `block in _app_views_common__domain_subnet_html_erb___5654914104

54354704_70212319611860'

app/views/common/_domain_subnet.html.erb:1:in `_app_views_common__domain_subnet_html_erb___565491410454354704_

70212319611860'

app/views/hostgroups/_form.html.erb:43:in `block in _app_views_hostgroups__form_html_erb___1405007256948970500

_70212316712040'

app/helpers/layout_helper.rb:211:in `form_for'

app/views/hostgroups/_form.html.erb:2:in `_app_views_hostgroups__form_html_erb___1405007256948970500_702123167

12040'

app/views/hostgroups/edit.html.erb:3:in `_app_views_hostgroups_edit_html_erb__1498942449115908628_702123167267

00'

lib/foreman/thread_session.rb:31:in `clear_thread'

#4 - 07/10/2013 12:12 PM - Dominic Cleal

- Target version set to 1.2.1

#5 - 07/11/2013 05:22 AM - Karim Boumedhel

will try to remove the :data-url bit in the ERB file as per your IRC suggestion

#6 - 07/17/2013 12:40 PM - Dominic Cleal

- Priority changed from Normal to High

#7 - 07/20/2013 07:08 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

https://github.com/theforeman/foreman/pull/797

#8 - 07/21/2013 07:17 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 754e83c1667ab7af677064f468354d325f59c36f.
